Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.crypto.digests
Class SHA384Digest

    java.lang.Object
      |
      +--org.bouncycastle.crypto.digests.LongDigest
            |
            +--org.bouncycastle.crypto.digests.SHA384Digest

All Implemented Interfaces:
  Digest

public class SHA384Digest
extends LongDigest

Draft FIPS 180-2 implementation of SHA-384. Note: As this is based on a draft this implementation is subject to change.

             block  word  digest
     SHA-1   512    32    160
     SHA-256 512    32    256
     SHA-384 1024   64    384
     SHA-512 1024   64    512

Fields inherited from class org.bouncycastle.crypto.digests.LongDigest
`H1, H2, H3, H4, H5, H6, H7, H8`

Constructor Summary
`SHA384Digest()` Standard constructor
`SHA384Digest(SHA384Digest t)` Copy constructor.

Method Summary
`int` | `doFinal(byte[] out, int outOff)` close the digest, producing the final digest value.
`java.lang.String` | `getAlgorithmName()` return the algorithm name
`int` | `getDigestSize()` return the size, in bytes, of the digest produced by this message digest.
`void` | `reset()` reset the chaining variables

Methods inherited from class org.bouncycastle.crypto.digests.LongDigest
`finish, processBlock, processLength, processWord, unpackWord, update, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SHA384Digest

    public SHA384Digest()

  Standard constructor

### SHA384Digest

    public SHA384Digest(SHA384Digest t)

  Copy constructor. This will copy the state of the provided message digest.

Method Detail

### getAlgorithmName

    public java.lang.String getAlgorithmName()

  Description copied from interface: `Digest`
  return the algorithm name
  Following copied from interface: `org.bouncycastle.crypto.Digest`
  Returns:
    the algorithm name

### getDigestSize

    public int getDigestSize()

  Description copied from interface: `Digest`
  return the size, in bytes, of the digest produced by this message digest.
  Following copied from interface: `org.bouncycastle.crypto.Digest`
  Returns:
    the size, in bytes, of the digest produced by this message digest.

### doFinal

    public int doFinal(byte[] out,
                       int outOff)

  Description copied from interface: `Digest`
  close the digest, producing the final digest value. The doFinal call leaves the digest reset.
  Following copied from interface: `org.bouncycastle.crypto.Digest`
  Parameters:
    `out` - the array the digest is to be copied into.
    `outOff` - the offset into the out array the digest is to start at.

### reset

    public void reset()

  reset the chaining variables
  Overrides:
    `reset` in class `LongDigest`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD